Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component.attribute
Interface EventsMouseProps

All Known Subinterfaces:
  CommandButtonProps

    public interface EventsMouseProps

Interface defining the methods for events-mouse-props.xml

Author:
  Brian Leathem

Method Summary
`String` | `getOnclick()` Javascript code executed when a pointer button is clicked over this element.
`String` | `getOndblclick()` Javascript code executed when a pointer button is double clicked over this element.
`String` | `getOnmousedown()` Javascript code executed when a pointer button is pressed down over this element.
`String` | `getOnmousemove()` Javascript code executed when a pointer button is moved within this element.
`String` | `getOnmouseout()` Javascript code executed when a pointer button is moved away from this element.
`String` | `getOnmouseover()` Javascript code executed when a pointer button is moved onto this element.
`String` | `getOnmouseup()` Javascript code executed when a pointer button is released over this element.

Method Detail

### getOnclick

    String getOnclick()

  Javascript code executed when a pointer button is clicked over this element.

### getOndblclick

    String getOndblclick()

  Javascript code executed when a pointer button is double clicked over this element.

### getOnmousedown

    String getOnmousedown()

  Javascript code executed when a pointer button is pressed down over this element.

### getOnmouseup

    String getOnmouseup()

  Javascript code executed when a pointer button is released over this element.

### getOnmouseover

    String getOnmouseover()

  Javascript code executed when a pointer button is moved onto this element.

### getOnmousemove

    String getOnmousemove()

  Javascript code executed when a pointer button is moved within this element.

### getOnmouseout

    String getOnmouseout()

  Javascript code executed when a pointer button is moved away from this element.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 JBoss by Red Hat. All Rights Reserved.